package edu.uncc.grid.example.workpool;

import java.io.IOException;

import net.jxta.pipe.PipeID;
import edu.uncc.grid.pgaf.Anchor;
import edu.uncc.grid.pgaf.Operand;
import edu.uncc.grid.pgaf.Seeds;
import edu.uncc.grid.pgaf.p2p.Types;

public class RunMonteCarloPiModule {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			MonteCarloPiModule pi = new MonteCarloPiModule();
			Seeds.start( args[0] , false);
				PipeID id = Seeds.startPattern( new Operand( (String[])null, new Anchor( args[1]  , Types.DataFlowRoll.SINK_SOURCE), pi ) );
				System.out.println(id.toString() );
				Seeds.waitOnPattern(id);
				System.out.println( "The result is: " + pi.getPi() ) ;
			Seeds.stop();
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
